List collection access bindings
Lists access bindings for the specified collection.
Request
POST
https://api.datalens.tech/rpc/listCollectionAccessBindings
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"collectionId": "example",
"getInheritedBindings": true,
"pageSize": 0.5,
"pageToken": "example"
}
|
Name |
Description |
|
collectionId |
Type: string ID of the collection whose access bindings to retrieve. Example: |
|
getInheritedBindings |
Type: boolean Include access bindings inherited from parent resources. |
|
pageSize |
Type: number Maximum number of subjects to return. |
|
pageToken |
Type: string Token for retrieving the next page of results. Example: |
Responses
200 OK
Response
Body
application/json
{
"subjectsWithBindings": [
{
"subjectClaims": {
"sub": "example",
"subType": "SUBJECT_TYPE_UNSPECIFIED",
"email": "example"
},
"accessBindings": [
{
"roleId": "example",
"inheritedFrom": {}
}
],
"inheritedAccessBindings": [
null
]
}
],
"nextPageToken": "example"
}
|
Name |
Description |
|
nextPageToken |
Type: string Token for retrieving the next page of results. Example: |
|
subjectsWithBindings |
Type: IamSubjectWithBindings[] Subjects and their access bindings. Example
|
IamAccessBinding
|
Name |
Description |
|
inheritedFrom |
Type: object | null Resource from which the access binding is inherited. Example
|
|
roleId |
Type: string ID of the role assigned to the subject. Example: |
Example
{
"roleId": "example",
"inheritedFrom": {
"id": "example",
"type": "example"
}
}
IamSubjectWithBindings
|
Name |
Description |
||||||
|
accessBindings |
Type: IamAccessBinding[] Access bindings assigned directly to the subject. Example
|
||||||
|
inheritedAccessBindings |
Type: IamAccessBinding[] Access bindings inherited by the subject. Example
|
||||||
|
subjectClaims |
Type: object
Subject details. Example
|
Example
{
"subjectClaims": {
"sub": "example",
"subType": "SUBJECT_TYPE_UNSPECIFIED",
"email": "example"
},
"accessBindings": [
{
"roleId": "example",
"inheritedFrom": {
"id": "example",
"type": "example"
}
}
],
"inheritedAccessBindings": [
null
]
}